Bug 538258 - Suggestion: reduce number of clicks -- combine "Welcome" and "License" screens
Summary: Suggestion: reduce number of clicks -- combine "Welcome" and "License" screens
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 586578 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 02:35 UTC by Denny Crane
Modified: 2012-08-16 19:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:34:18 UTC
Type: ---


Attachments (Terms of Use)

Description Denny Crane 2009-11-18 02:35:50 UTC
Description of problem:
The firstboot experience could be made that little bit better by reducing the number of required clicks by combining the "Welcome" and "License" screens, which I think would be quite logical to do. If there are concerns about cramming the text into the one screen, you could potentially have a button which would expand the license text (default hidden) or even just make it another tab. Neither of these two screens offer the user any options, and both are really introductory, and the user agreeing to the License is implied anyway, so I think the separate screen is redundant.

Version-Release number of selected component (if applicable):
1.110-1 / Fedora 12

How reproducible:
100%

Steps to Reproduce:
1.Run firstboot
2.Observe
3.
  
Actual results:
Separate screens for "Welcome" and "License" screens

Expected (SUGGESTED) results:
Combined "Welcome" and "License" screens.


Additional info:

Comment 1 Bug Zapper 2010-11-04 06:14:56 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Denny Crane 2010-11-08 16:01:30 UTC
Still applicable to Fedora 14.

Comment 3 Martin Gracik 2010-12-06 11:34:52 UTC
*** Bug 586578 has been marked as a duplicate of this bug. ***

Comment 4 Martin Gracik 2011-01-18 13:18:21 UTC
Related bug #668120

Comment 5 Fedora Admin XMLRPC Client 2011-02-16 16:09:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2012-08-16 19:34:21 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.